Skip to main content
GET
/
v1
/
generation-template-details
cURL
curl --request GET \
  --url https://api.lighthousefh.com/v1/generation-template-details \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "data": [
    {
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "development_stage": "testing",
      "display_config": {
        "group": "summary",
        "location": "summary",
        "occurring_is_positive": true
      },
      "display_name": "<string>",
      "execution_type": "summary",
      "instructions": "<string>",
      "label": "<string>",
      "template_type": "at_need",
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "case_details": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "updated_at": "2023-11-07T05:31:56Z",
          "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "generations": [
            {
              "call_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "content": "<string>",
              "source": "call",
              "source_resource_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "confidence_score": 123,
              "created_at": "2023-11-07T05:31:56Z",
              "end_ms": 123,
              "start_ms": 123
            }
          ],
          "date_of_birth": "2023-12-25",
          "date_of_death": "2023-12-25",
          "date_of_service": "2023-12-25",
          "deleted_at": "2023-11-07T05:31:56Z",
          "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "summary": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "exact_phrases": [
        {
          "match_percentage": 123,
          "phrase": "<string>"
        }
      ],
      "example_limit": 123,
      "organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string<date> | null
end_date
string<date> | null
case_uuid
string<uuid> | null

Response

Template details listed

status
string
required
timestamp
string<date-time>
required
data
object[]
message
string | null
request_id
string | null